﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyDataModels.Models;
using System.ComponentModel;

namespace TypographyContracts.ViewModels
{
    public class PrintedViewModel : IPrintedModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string PrintedName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> PrintedComponents { get; set; } = new();

    }
}
