﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyDataModels.Models;
using System.ComponentModel;

namespace TypographyContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }

        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Дата открытия")]
        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (IPrintedModel, int)> ShopPrinteds
        {
            get;
            set;
        } = new();
    }
}
