﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyDataModels.Models;
using TypographyDataModels.Enums;

namespace TypographyContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }

        public string ShopName { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;

        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (IPrintedModel, int)> ShopPrinteds { get; set; } = new();
    }
}
