﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyContracts.BindingModels;
using TypographyContracts.SearchModels;
using TypographyContracts.ViewModels;
using TypographyDataModels.Models;

namespace TypographyContracts.BusinessLogicsContracts
{
    public interface IShopLogic
    {
        List<ShopViewModel>? ReadList(ShopSearchModel? model);

        ShopViewModel? ReadElement(ShopSearchModel model);

        bool Create(ShopBindingModel model);

        bool Update(ShopBindingModel model);

        bool Delete(ShopBindingModel model);

        bool MakeShipment(ShopSearchModel shopModel, IPrintedModel iceCream, int count);
    }
}
