﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TypographyDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }

        string Address { get; }

        DateTime DateOpening { get; }

        Dictionary<int, (IPrintedModel, int)> ShopPrinteds { get; }
    }
}
